﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class LevelManager : MonoBehaviour
{
    public void LoadLevel(string name)
    {
        Brick.breakableCount = 0;
        Debug.Log("Level load requested for: " + name);
        Application.LoadLevel(name);
        Cursor.visible = false;
        if (name == "Win" || name == "Lose" || name == "Start" || name=="Intro")
        {
            Cursor.visible = true;
        } 
    }
    
    public void QuitLevel()
    { 
        {
            Debug.Log("Quit requested");
            Application.Quit();
        }
    }

    public void LoadNextLevel()
    {
        Brick.breakableCount = 0;
        Application.LoadLevel(Application.loadedLevel + 1);
    }

    public void BrickDestroyed()
    {
        if (Brick.breakableCount <= 0)
        {
            LoadNextLevel();
        }
    }
}