﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class LoseCollider : MonoBehaviour {

    private LevelManager levelManager;
    public Ball ball;
    private int lifes = 3;
    public Vector3 paddleToBallVector;
    void Start()
    {
        ball = GameObject.FindObjectOfType<Ball>();
        levelManager = GameObject.FindObjectOfType<LevelManager>();
    }
    
    void OnTriggerExit2D(Collider2D trigger)
    {
        lifes--;
        if (lifes <= 0)
        {
            levelManager.LoadLevel("Lose");
        }
        else
        {
            ball.Reset();
        }
    }

    private void OnCollisionEnter2D(Collision2D collision)
    {
        print("Collision");
    }


    

    
    
}
